System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

facing issue in installing httpd...

 
Beginner_2
Occasional Advisor

facing issue in installing httpd...

Hi,
I tried to install apache on RHEL5 .. its 64 bit machine.. i got below messages when i tried it.

[root@host2 httpd-2.2.18]# ./configure --prefix=/root/apache/httpd-2.2.18
checking for chosen layout... Apache
checking for working mkdir -p... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu

Configuring Apache Portable Runtime library ...

checking for APR... reconfig
configuring package in srclib/apr now
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
Configuring APR library
Platform: x86_64-unknown-linux-gnu
checking for working mkdir -p... yes
APR Version: 1.4.4
checking for chosen layout... apr
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: in `/root/apache/httpd-2.2.18/srclib/apr':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.
configure failed for srclib/apr



If it is due to my 64 bit machine.. can somebody give me url for apache(64 bit). i trid on Google but couln'd find it..

Thanks in advance..
Rahul
3 REPLIES
Steven Schweda
Honored Contributor

Re: facing issue in installing httpd...

> I tried to install apache [...]

Starting with what? From where?

> [...] its 64 bit machine.. [...]

Not a very detailed description of anything.

uname -a

> configure: error: no acceptable C compiler found in $PATH

Do you have GCC installed? You seem to be
starting from an Apache source kit, but you
seem not to have the basic infrastructure to
make it possible for this to work.

> See `config.log' for more details.

With my weak psychic powers, I can't see it
from here.

> [...] i trid on Google but couln'd find it..

You tried _what_, exactly, on Google?

> [...] apache(64 bit) [...]

Why do you care if Apache is 32-bit or
64-bit?
Bob_Vance
Esteemed Contributor

Re: facing issue in installing httpd...

> configure: error: no acceptable C compiler found in $PATH

That means that he cannot compile anything.

The normal compiler on Linux is 'gcc'

See if you have it.
E.g.
## rpm -qa gcc*
gcc-3.4.6-3
gcc-java-3.4.6-3
gcc-c++-3.4.6-3


bv
"The lyf so short, the craft so long to lerne." - Chaucer
Alzhy
Honored Contributor

Re: facing issue in installing httpd...

If you have RHEL5 installed - it is very likely you have a valid subscription - no?

If yes and you have rhn_register'ed, simply do "yum install httpd"

If you don't have registration, install it from the DVD/CD Media. Look for the httpd*.rpm.

Now if you don;t have those means above, go to http://apache.org

You can find rpm or tar.gz binary bundles for X86-64 Linux there.

If you want to build from sources - then you need to have GCC compiler installed --- which leads us back to the above.

Or you can install a bina -- http://gcc.gnu.orgy version of GCC for your machine.
Hakuna Matata.